For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardMint Website
  • Getting Started
    • Overview
    • Choose an Integration Path
    • React SDK Quickstart
    • Backend Payment Creation
    • Hosted Payments
  • Reference
    • React SDK Reference
  • API Reference
      • POSTPost V 1 Payments
      • GETGet V 1 Payments Payment Id
      • POSTPost V 1 Payments Crypto Pay Payment Id
      • GETGet V 1 Payments Crypto Pay Payment Id Payer Address Options
      • POSTPost V 1 Payments Payment Id Confirm
LogoLogo
DashboardMint Website
API ReferencePayments

Get V 1 Payments Payment Id

GET
https://api.getmint.money/v1/payments/:paymentId
GET
/v1/payments/:paymentId
1const url = 'https://api.getmint.money/v1/payments/paymentId';
2const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};
3
4try {
5 const response = await fetch(url, options);
6 const data = await response.json();
7 console.log(data);
8} catch (error) {
9 console.error(error);
10}
200Retrieved
1{
2 "data": {
3 "id": "string",
4 "currency": "string",
5 "created_at": "2024-01-15T09:30:00Z",
6 "updated_at": "2024-01-15T09:30:00Z",
7 "expires_at": "2024-01-15T09:30:00Z",
8 "checkout_id": "string",
9 "checkout": {
10 "id": "string",
11 "name": "string",
12 "is_live": true,
13 "checkout_config": {
14 "crypto": {
15 "enabled": true,
16 "settlementConfig": {
17 "chain": "string",
18 "asset": "string",
19 "asset_name": "string",
20 "chain_name": "string",
21 "asset_id": "string",
22 "chain_hex": "string",
23 "logo_url": "string",
24 "chain_logo_url": "string"
25 }
26 },
27 "card": {
28 "enabled": true
29 }
30 },
31 "logo_url": "string"
32 },
33 "status": "pending",
34 "is_test": true,
35 "amount": 1.1,
36 "payment_attempt": {
37 "payment_id": "string",
38 "amount": 1.1,
39 "amount_formatted": 1.1,
40 "expires_at": "2024-01-15T09:30:00Z",
41 "settlement_token_address": "string",
42 "settlement_config": {
43 "chain": "string",
44 "asset": "string",
45 "asset_name": "string",
46 "chain_name": "string",
47 "asset_id": "string",
48 "chain_hex": "string",
49 "logo_url": "string",
50 "chain_logo_url": "string"
51 },
52 "destination_address": "string",
53 "created_at": "2024-01-15T09:30:00Z",
54 "updated_at": "2024-01-15T09:30:00Z",
55 "required_confirmations": 1.1,
56 "routing": {
57 "type": "direct",
58 "source": {
59 "token": "string",
60 "chain": "string"
61 }
62 }
63 },
64 "payment_address": "string",
65 "payment_url": "string",
66 "payment_link_email_delivery": {
67 "recipientEmail": "string",
68 "status": "pending",
69 "error": "string",
70 "sentAt": "2024-01-15T09:30:00Z"
71 },
72 "order_id": "string",
73 "return_url": "string",
74 "customer_id": "string",
75 "metadata": {},
76 "line_items": [
77 {
78 "name": "string",
79 "quantity": 1.1,
80 "image_url": "string",
81 "price": 1.1
82 }
83 ]
84 },
85 "meta": {
86 "total": 1.1,
87 "offset": 1.1,
88 "limit": 1.1
89 },
90 "error": "string",
91 "status": 200
92}
Fetch a payment by id
Was this page helpful?
Previous

Post V 1 Payments Crypto Pay Payment Id

Next
Built with

Authentication

x-api-keystring
API Key authentication via header

Path parameters

paymentIdstringRequiredformat: "uuid"

Response

Default Response
dataobject
metaobject or null
errorstring or null
statusdoubleDefaults to 200